org.apache.ignite.internal.processors.datastructures

## Interface GridCacheAtomicLongEx

All Superinterfaces:
  AutoCloseable, Closeable, GridCacheRemovable, IgniteAtomicLong

All Known Implementing Classes:
  GridCacheAtomicLongImpl

    public interface GridCacheAtomicLongEx
    extends GridCacheRemovable, IgniteAtomicLong

Atomic managed by cache (`'Ex'` stands for external).

### Method Summary

All Methods Instance Methods Abstract Methods
`GridCacheInternalKey` `key()` Get current atomic long key.

### Methods inherited from interface org.apache.ignite.internal.processors.datastructures.GridCacheRemovable

`needCheckNotRemoved, onRemoved, restart, suspend`

### Methods inherited from interface org.apache.ignite.IgniteAtomicLong

`addAndGet, close, compareAndSet, decrementAndGet, get, getAndAdd, getAndDecrement, getAndIncrement, getAndSet, incrementAndGet, name, removed`

### Method Detail

#### key

    GridCacheInternalKey key()

Get current atomic long key.

Returns:
  Atomic long key.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021